# roadmap
- [x] virtualenv
- [x] git repo
- [x] how to make a daemon?
- [x] get argparse working
- [x] implement config file
- [ ] model default system
- [ ] list / add / edit / delete operating systems
- [ ] model -> storage -> bool overwrite_always false

# cli
```
$ ./quickos -h
usage: quickos.py [-h] os storage

flash linux operating systems on the fly

positional arguments:
  os          the operating system that should be flashed
  storage     the storage where the os shall be flashed

    optional arguments:
      -h, --help  show this help message and exit
```

# model

## operating_system
- string file_name
- string file_url
- string test_name
- string test_url
- string test_sha256
- int interval [ days ], default = 7 days

## storage
- id operating_system
- string label
- string uuid
[- bool overwrite_always false]


